﻿@{
    Layout = null;
}
@model EnrollmentViewModel
<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Class Profits Reports
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>
    <div class="row place-left one-half padding-right20">
        <label class="req-star">Season</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-options="obj.Value as obj.Text for obj in Model.AllSeason" ng-model="Model.Name"></select>
            </div>
        </div>
    </div>
    <div class="row place-left one-half">
        <label class="req-star">Year</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-options="obj.Value as obj.Text for obj in Model.YearSeason" ng-model="Model.Year"></select>
            </div>
        </div>
    </div>
    <br />
    <br />

    <div class="clearfix"></div>
    @*<button type="button" class="link place-left large button" ui-sref="">Back</button>*@
    <button class="success place-right large button" ng-click="runReport()" id="ConfirmInvoice">Run</button>
    <div class="clearfix"></div>
    <hr />
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div ng-show="IsReportRun" class="title" style="font-size:20px">
            <div class="clearfix"></div>

            <table style="text-align:left; letter-spacing: .5px; width: 100%">
                <tr>
                    <td>Total parent fee: {{TotalParentFee}}</td>
                    <td>Total gross income: {{TotalGrossIncome}}</td>
                    <td>&nbsp;</td>
                </tr>

                <tr>
                    <td>PTA fee: {{NumberPTAFees}}</td>
                    <td>Total PTA fee: {{TotalPTAFee}}</td>
                    <td>Total gross PTA fee: {{TotalGrossPTAFee}}</td>
                </tr>

                <tr>
                    <td>Total vendor fee: {{TotalVendorFee}}</td>
                    <td>Total gross vendor fee: {{TotalGrossVendorFee}}</td>
                    <td>Total pay to vendor: {{TotalPayToVendor}}</td>
                </tr>

                <tr>
                    <td>Total FXA profit: {{TotalFXAProfit}}</td>
                    <td>Total lead gen: {{TotalLeadGen}}</td>
                    <td>Total mgmt fee: {{TotalMgmtFee}}</td>
                </tr>
            </table>
            <br />
            <div class="clearfix"></div>
        </div>
        <div class="wrapper2">
            <kendo-grid id="ClassProfitsReportGrid" scroll options="ClassProfitsReportGridOptions" class="k-auto-scrollable scroll resizable"></kendo-grid>
        </div>
    </div>
    <div class="clearfix"></div>
</div>

